Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(77)

Issue 2043083002: Speculatively launch Service Workers on mouse/touch events. [2/5] (Closed)

Created:
3 years, 1 month ago by horo
Modified:
2 years, 12 months ago
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, tzik, serviceworker-reviews, jam, nhiroki, darin-cc_chromium.org, asvitkine+watch_chromium.org, horo+watch_chromium.org, kinuko+serviceworker, kinuko+watch, blink-worker-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Speculatively launch Service Workers on mouse/touch events. [2/5] 1/5: Introduce NavigationHintSender. https://codereview.chromium.org/2043863003/ 2/5: Pipe NavigationHints from NavigationHintSender to ChromeRenderMessageFilter Thic CL. 3/5: Call StartServiceWorkerForNavigationHint() from ChromeRenderMessageFilter https://codereview.chromium.org/2052613003/ 4/5: Measure the precision of the speculative launch of Service Workers for NavigationHints https://codereview.chromium.org/2045153003/ 5/5: Add flags to enable SupeculativeLaunchServiceWorker https://codereview.chromium.org/2053573002/ NavigationHints are sent from NavigationHintSender to ChromeRenderMessageFilter. NavigationHintSender::maybeSendNavigationHint() -> sendNavigationHint() -> WebPrescientNetworking::sendNavigationHint() -> PrescientNetworkingDispatcher::sendNavigationHint() -> IPC (NetworkHintsMsg_NavigationHint) In the browser process, ChromeRenderMessageFilter receives the IPC message. BUG=616502 Committed: https://crrev.com/133f8c0b69c28928dfbd0d73ea85740da9712791 Cr-Commit-Position: refs/heads/master@{#407399}

Patch Set 1 : with https://codereview.chromium.org/2043863003/#ps60001 #

Patch Set 2 : diff from https://codereview.chromium.org/2043863003/#ps60001 #

Patch Set 3 : rebase #

Total comments: 4

Patch Set 4 : incorporated falken's comment #

Total comments: 11

Patch Set 5 : incorporated kinuko's comment #

Patch Set 6 : use mojo https://codereview.chromium.org/2043753002/#ps220001 #

Patch Set 7 : Same as Patch Set 5 #

Total comments: 7

Patch Set 8 : s/RendererNavigationHintSender/RendererNavigationHint/ and add comment #

Patch Set 9 : incorporated kinuko's comment #

Patch Set 10 : revert BUILD.gn #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -9 lines) Patch
M chrome/browser/renderer_host/chrome_render_message_filter.h View 6 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/renderer_host/chrome_render_message_filter.cc View 1 2 3 4 5 6 7 2 chunks +9 lines, -0 lines 0 comments Download
A + components/network_hints/common/OWNERS View 1 2 6 0 chunks +-1 lines, --1 lines 0 comments Download
M components/network_hints/common/network_hints_messages.h View 1 2 6 3 chunks +9 lines, -0 lines 0 comments Download
M components/network_hints/renderer/prescient_networking_dispatcher.h View 3 4 5 6 7 8 2 chunks +6 lines, -0 lines 0 comments Download
M components/network_hints/renderer/prescient_networking_dispatcher.cc View 1 2 3 4 5 6 7 8 2 chunks +12 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLAnchorElement.cpp View 1 2 3 4 6 3 chunks +2 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/platform/network/NetworkHints.h View 6 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/network/NetworkHints.cpp View 6 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/public/blink_headers.gypi View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/public/platform/WebNavigationHintType.h View 1 2 3 4 6 1 chunk +19 lines, -0 lines 0 comments Download
M third_party/WebKit/public/platform/WebPrescientNetworking.h View 1 2 3 4 6 2 chunks +5 lines, -0 lines 0 comments Download

Messages

Total messages: 83 (48 generated)
horo
kouhei@ Could you please review this?
3 years ago (2016-06-22 08:40:57 UTC) #17
horo
falken@ Could you please review this?
3 years ago (2016-06-22 23:58:37 UTC) #19
falken
lgtm https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h File components/network_hints/renderer/renderer_navigation_hint_sender.h (right): https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h#newcode24 components/network_hints/renderer/renderer_navigation_hint_sender.h:24: // Submit a navigation hint of mouse/touch events ...
3 years ago (2016-06-23 04:10:30 UTC) #20
kouhei (in TOK)
lgtm % falken's comments https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h File components/network_hints/renderer/renderer_navigation_hint_sender.h (right): https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h#newcode25 components/network_hints/renderer/renderer_navigation_hint_sender.h:25: // Service Workers. On 2016/06/23 ...
3 years ago (2016-06-24 00:52:34 UTC) #21
horo
Thank you https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h File components/network_hints/renderer/renderer_navigation_hint_sender.h (right): https://codereview.chromium.org/2043083002/diff/280001/components/network_hints/renderer/renderer_navigation_hint_sender.h#newcode25 components/network_hints/renderer/renderer_navigation_hint_sender.h:25: // Service Workers. On 2016/06/23 04:10:29, falken ...
3 years ago (2016-06-24 02:08:57 UTC) #22
horo
kinuko@ Could you please review?
3 years ago (2016-06-24 02:10:26 UTC) #24
kinuko
/cc +csharrison for routing this via components/network_hints -> chrome_render_message_filter (the path we're deprecating in the ...
3 years ago (2016-06-24 07:40:48 UTC) #25
horo
https://codereview.chromium.org/2043083002/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.h File chrome/browser/renderer_host/chrome_render_message_filter.h (right): https://codereview.chromium.org/2043083002/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.h#newcode58 chrome/browser/renderer_host/chrome_render_message_filter.h:58: void OnNavigationHint(const GURL& url, blink::WebNavigationHintType type); On 2016/06/24 07:40:47, ...
3 years ago (2016-06-24 08:26:03 UTC) #26
horo
juliatuttle@chromium.org Could you please review components/network_hints/*?
3 years ago (2016-06-24 08:26:23 UTC) #28
Charlie Harrison
I am planning on completely removing the network_hints component. The new code will go through ...
3 years ago (2016-06-24 12:24:55 UTC) #30
horo
On 2016/06/24 12:24:55, csharrison wrote: > I am planning on completely removing the network_hints component. ...
3 years ago (2016-06-27 09:14:20 UTC) #32
horo
csharrison@ What is the status of your patch (https://codereview.chromium.org/2043753002/)? If you are not working on ...
3 years ago (2016-07-11 02:19:50 UTC) #33
Charlie Harrison
Feel free to land this. The CL hit a road block unfortunately that we're trying ...
3 years ago (2016-07-11 02:54:08 UTC) #34
horo
I uploaded Patch Set 7 which is same as Patch Set 5. kinuko@ Could you ...
3 years ago (2016-07-14 07:44:56 UTC) #39
Julia Tuttle
components/network_hints lgtm with one nit. What's the deal with this and the CL to mojoify ...
3 years ago (2016-07-18 14:44:37 UTC) #42
Charlie Harrison
On 2016/07/18 14:44:37, Julia Tuttle wrote: > components/network_hints lgtm with one nit. > > What's ...
3 years ago (2016-07-18 14:46:26 UTC) #43
kinuko
https://codereview.chromium.org/2043083002/diff/360001/chrome/browser/renderer_host/chrome_render_message_filter.cc File chrome/browser/renderer_host/chrome_render_message_filter.cc (right): https://codereview.chromium.org/2043083002/diff/360001/chrome/browser/renderer_host/chrome_render_message_filter.cc#newcode135 chrome/browser/renderer_host/chrome_render_message_filter.cc:135: // TODO(horo): Implement this. I really don't think this ...
3 years ago (2016-07-18 15:24:45 UTC) #44
horo
https://codereview.chromium.org/2043083002/diff/360001/chrome/browser/renderer_host/chrome_render_message_filter.cc File chrome/browser/renderer_host/chrome_render_message_filter.cc (right): https://codereview.chromium.org/2043083002/diff/360001/chrome/browser/renderer_host/chrome_render_message_filter.cc#newcode135 chrome/browser/renderer_host/chrome_render_message_filter.cc:135: // TODO(horo): Implement this. On 2016/07/18 15:24:45, kinuko wrote: ...
3 years ago (2016-07-19 02:09:43 UTC) #47
kinuko
https://codereview.chromium.org/2043083002/diff/360001/components/network_hints/renderer/prescient_networking_dispatcher.cc File components/network_hints/renderer/prescient_networking_dispatcher.cc (right): https://codereview.chromium.org/2043083002/diff/360001/components/network_hints/renderer/prescient_networking_dispatcher.cc#newcode36 components/network_hints/renderer/prescient_networking_dispatcher.cc:36: navigation_hint_sender_.sendNavigationHint(url, type); On 2016/07/19 02:09:43, horo wrote: > On ...
3 years ago (2016-07-19 02:17:08 UTC) #48
horo
On 2016/07/19 02:17:08, kinuko wrote: > https://codereview.chromium.org/2043083002/diff/360001/components/network_hints/renderer/prescient_networking_dispatcher.cc > File components/network_hints/renderer/prescient_networking_dispatcher.cc > (right): > > https://codereview.chromium.org/2043083002/diff/360001/components/network_hints/renderer/prescient_networking_dispatcher.cc#newcode36 ...
3 years ago (2016-07-19 03:05:11 UTC) #49
kinuko
On 2016/07/19 03:05:11, horo wrote: > On 2016/07/19 02:17:08, kinuko wrote: > > > https://codereview.chromium.org/2043083002/diff/360001/components/network_hints/renderer/prescient_networking_dispatcher.cc ...
3 years ago (2016-07-19 03:47:57 UTC) #52
horo
On 2016/07/19 03:47:57, kinuko wrote: > On 2016/07/19 03:05:11, horo wrote: > > On 2016/07/19 ...
3 years ago (2016-07-19 04:00:38 UTC) #55
horo
On 2016/07/19 03:47:57, kinuko wrote: > On 2016/07/19 03:05:11, horo wrote: > > On 2016/07/19 ...
3 years ago (2016-07-19 04:00:41 UTC) #56
kinuko
lgtm
3 years ago (2016-07-19 04:03:46 UTC) #57
horo
thestig@ Could you please review chrome/browser/renderer_host/chrome_render_message_filter.*?
3 years ago (2016-07-19 04:10:12 UTC) #63
Lei Zhang
On 2016/07/19 04:10:12, horo wrote: > thestig@ > Could you please review > chrome/browser/renderer_host/chrome_render_message_filter.*? c/b/renderer_host ...
3 years ago (2016-07-19 04:34:12 UTC) #64
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2043083002/420001
3 years ago (2016-07-19 10:52:14 UTC) #70
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/220467)
3 years ago (2016-07-19 10:59:35 UTC) #72
horo
dcheng@ Could you please review components/network_hints/common/network_hints_messages.h?
3 years ago (2016-07-19 11:04:37 UTC) #74
dcheng
The IPC changes in this CL and https://codereview.chromium.org/2052613003/ LGTM. However, it would be better to ...
2 years, 12 months ago (2016-07-22 04:19:16 UTC) #75
horo
On 2016/07/22 04:19:16, dcheng wrote: > The IPC changes in this CL and https://codereview.chromium.org/2052613003/ LGTM. ...
2 years, 12 months ago (2016-07-25 01:13:20 UTC) #76
horo
On 2016/07/22 04:19:16, dcheng wrote: > The IPC changes in this CL and https://codereview.chromium.org/2052613003/ LGTM. ...
2 years, 12 months ago (2016-07-25 01:13:36 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2043083002/420001
2 years, 12 months ago (2016-07-25 01:13:54 UTC) #79
commit-bot: I haz the power
Committed patchset #10 (id:420001)
2 years, 12 months ago (2016-07-25 02:42:11 UTC) #81
commit-bot: I haz the power
2 years, 12 months ago (2016-07-25 02:43:47 UTC) #83
Message was sent while issue was closed.
Patchset 10 (id:??) landed as
https://crrev.com/133f8c0b69c28928dfbd0d73ea85740da9712791
Cr-Commit-Position: refs/heads/master@{#407399}

Powered by Google App Engine
This is Rietveld 408576698